# React Native

## Installation

```bash
npm install react-native-move-sdk --save
#or
yarn add react-native-move-sdk
```

Here is [**npm package documentation**](https://www.npmjs.com/package/react-native-move-sdk).

## Setup

### iOS

See also: [iOS/Troubleshooting](https://docs.movesdk.com/move-platform/sdk/troubleshooting/ios).

#### Configuration

1. Using the **terminal**, access the **iOS folder** in your project
2. Run `$`<mark style="color:blue;">`pod install`</mark>&#x20;
3. Open the ***.xcworkspace*** folder using **Xcode**
4. Go to the **Capabilities** tab of your target settings
5. Turn on **Background Modes** and enable **Location updates**

![Location updates background mode capability](https://394612935-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MXD5xlIFUYU8eK_kkLo%2F-Ma7-Qp0tvRtlszHh2aC%2F-MaWrFoEnyiReo8XoJL3%2Fimage.png?alt=media\&token=171c219f-f0e1-4d9a-9fe8-a0ccb47078a6)

#### Health Services&#x20;

*Since MoveSDK 2.15*:

For iOS, using the steps service requires the addition of the MoveSDKHealth framework.

This can be configured by adding an environment variable in the Podfile.

```
ENV['DOLPHIN_MOVE_SDK_HEALTH'] = '1'
```

### Android

Include the maven repository to your gradle build script, where the MOVE SDK package is located.

```bash
maven { 
    url "https://dolphin.jfrog.io/artifactory/move-sdk-libs-release" 
}
```

Add the dependency for the MOVE SDK Android library to your module (app-level) Gradle file (usually app/build.gradle).

{% hint style="info" %}
You can check for latest releases here:\
<https://dolphin.jfrog.io/ui/native/move-sdk-libs-release/io/dolphin/move/move-sdk>
{% endhint %}

Use the following SDK and Kotlin versions:

```javascript
minSdkVersion = 26
kotlinVersion = '1.7.10'
compileSdkVersion = 33
targetSdkVersion = 31
```

### Expo

If you use Expo, please take a look at our [**sample app**](https://github.com/dolphin-technologies/MOVE-sample-React) created with Expo. Note that it is simplified as much as possible and its main task is to show an example of integration with the MOVE SDK. The [**plugin**](https://github.com/dolphin-technologies/MOVE-sample-React/blob/main/plugins/move/index.js) is required to integrate with the MOVE SDK when using the Expo.

Contact us for assistance if you still have questions.

## Further Information

{% hint style="info" %}
See also the [Appendix](https://docs.movesdk.com/move-platform/sdk/appendix/react-native/permission-handling) section to make sure you are not missing anything.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.movesdk.com/move-platform/sdk/getting-started/react-native.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
